Skip to main content
Version 2025.01 of the Criteo retail media API is live as of January 21st, 2025 and will be supported until January 27th, 2026. A new Postman collection for 2025.01 is also available in the Criteo Postman workspace.
New SDK ReleaseA new SDK version will be available for the 2025.01 release.
This version introduces new capabilities to Criteo Retail Media API and changes to existing endpoints. This page aims at listing all changes that happened endpoint per endpoint. Only endpoints with changes are listed here. The changes of versions 2025.01 are:
  • a new base URL,
  • a new endpoint for Recommended Keywords,
  • a new catalog endpoint for Marketplace sellers,
  • new metrics and a new type of report within the analytics endpoints,
  • a new consent granting endpoint.

New Base URL

With the introduction of this new version, the base URL will now change from the old base URL:
URL
to the new base URL:
URL

What’s New

In version 2025.01, we’ve introduced a new recommended keywords’ endpoint that is focused on providing users with the ability to see keywords that are automatically recommended by our keyword model for a given line item. A line item can have multiple products in it, and only the top 100 keywords will be returned. A user can use this endpoint for Sponsored Products and Onsite Display buy types and can also expect to see keywords recommended by our keyword model and keywords that are automatically approved and/or rejected when submitted at the line item level.

Updated Endpoints

The following new catalog endpoint can be found below:

Verb

Endpoint

Description

GET

line-items/{lineItemId}/keywords/recommended

Get Recommended Keywords for a Line Item


Sample Response

For Recommended Keywords:
The reviewState is the state of the keyword that indicates if the keyword is an automatic keyword. Each keyword can take on the following statuses for this endpoint:
  • Recommended : for automatic keywords,
  • AutoApproved: for automatic approvals.

Catalog for Marketplace Sellers

In version 2025.01, we’ve introduced a new catalog endpoint that is focused on making catalog requests for marketplace seller SKUs. Marketplace seller SKUs are sourced from marketplace brands that are unique because it allows for third party suppliers to promote their products on retailer inventory. They are distinguished in retailer catalogs because each SKU from a third party supplier exists under a marketplace seller ID.

Updated Endpoints Includes

The following new catalog endpoint can be found below:

Verb

Endpoint

Description

POST

/accounts/{accountId}/catalogs/sellers

Create a Seller Catalog Request


Sample Request

ForSeller Catalog:

Sample Response

For Seller Catalog: Generating a seller catalog will return an id.
Once the report is done, use the GET | /retail-media/catalogs/{catalogId}/output to download the results.

New Metrics & Report Type

In version 2025.01, we’ve introduced new metrics as well as a new report type within the analytics endpoints. The updated analytics endpoints provide users with deeper, more comprehensive insights, enabling them to explore data more effectively. Additionally, the introduction of new report types empowers users to make more informed, data-driven decisions by offering tailored, actionable insights that better align with your strategic goals. In the latest version, you now have the flexibility to generate metrics with a focus on attribution that is new to a brand to enable users to review conversions from shoppers who have not purchased from the brand in the past 180 days. We are also introducing the Cap Out report type for sponsored product reporting, which will provide details about when campaigns and line items are running out of budget.

Updated Endpoints Includes

The following new reporting changes apply for both the asynchronous campaign and line-item endpoints for report generation:

Verb

Endpoint

Description

POST

/reports/campaigns

Create a Campaign Report Request

POST

/reports/line-items

Create a Line Item Report Request


New report type

Report Type

Data Type

Description

CapOut

string

The cap-out report notifies advertisers about the extent of missed sales due to campaigns and line-items reaching their cap too soon. By providing insights on managing campaign budgets and identifying opportunities for enhanced sales through optimal budget recommendations, the report plays a crucial role. Its influence extends to future incremental budget decisions, underscoring the importance of making it accessible to all users.

This report type will disregard custom dimensions, metrics, time zone, and attribution windows.
If a user has this in their request, they will not be blocked from calling for the report type. The default time zone used will be what is defined at the account level and the attribution window is defined based on what is set at the campaign level.
This report type is also available in the DSP reporting endpoints only.

Sample Request

For Campaign Report:

Sample Response

ForBoth: Generating a campaign and line-item report will generate a reportId.
Once the report is done, use the GET | /retail-media/reports/{reportId}/output to download results.

New metrics

Key-Values

Data Type

Description

newToBrandAttributedSales

string

Responsible for the total number of attributed sales that were new to a brand

newToBrandAttributedSalesRate

string

Responsible for the percentage of attributed sales that were new to a brand

newToBrandAttributedUnits

string

The number of attributed units that were considered new to a brand

newToBrandAttributedUnitsRate

string

The percentage of attributed units that were considered new to a brand

These metrics will be available via the DSP reporting endpoints for Sponsored Products & Onsite Display.

In version 2025.01, we’ve introduced a new consent granting endpoint that is specifically designed to support the Authorization Code workflow, catering to scenarios where an application owner is managing data for multiple data owners. The endpoint facilitates a consent granting process, where the application owner, acting on behalf of the data owners, grants consent to the Business Application. This ensures that each data owner’s data is only accessible with their explicit consent, adding an additional layer of security and compliance, while also streamlining the data management process across different accounts.

Updated Endpoints Includes

The following new catalog endpoint can be found below:

Verb

Endpoint

Description

POST

/accounts/{accountId}/grant-consent

Grant Consent to the Business Application


Sample Request

For Grant Consent: Upon success of the call, a user should receive a 204 response.
Because the request body requires a callback URL, a code will be sent on the 204 response, which can then in turn be exchanged for an authorization token via the /oauth2/token endpoint.